<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <View
            android:layout_width="match_parent"
            android:layout_height="10dp"
            android:background="@color/ui_surface" />

        <RelativeLayout
            android:id="@+id/filterContainer"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:background="@color/ui_surface"
            android:paddingLeft="16dp"
            android:paddingRight="16dp">

            <TextView
                android:id="@+id/allCommentTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:includeFontPadding="false"
                android:text="全部评论"
                android:textColor="@color/text_primary"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/allCommentCountTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="3dp"
                android:layout_toRightOf="@+id/allCommentTv"
                android:includeFontPadding="false"
                android:text="0"
                android:textColor="@color/text_tertiary" />

            <com.gh.gamecenter.common.view.SegmentedFilterView
                android:id="@+id/orderSfv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                app:containerBackground="@drawable/button_round_f5f5f5"
                app:containerPadding="1dp"
                app:indicatorBackground="@drawable/bg_game_collection_sfv_indicator"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:sfv_itemHeight="24dp"
                app:sfv_itemWidth="36dp"
                app:sfv_textCheckedColor="@color/text_secondary"
                app:sfv_textDefaultColor="@color/text_tertiary"
                app:sfv_textSize="10" />

        </RelativeLayout>

        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/list_refresh"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/ui_background"
                android:paddingBottom="56dp" />
        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    </LinearLayout>

    <include
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />

    <include layout="@layout/reuse_no_connection" />

    <include layout="@layout/reuse_none_data" />

    <include layout="@layout/reuse_data_exception" />

</RelativeLayout>